 <?php
  function sekolah_is_log()
  {
    $ci = get_instance();
    if (!$ci->session->userdata('email')) {
      redirect('auth');
    } else {
		$akses= $ci->db->get_where('kop_surat',['id'=>1])->row_array();
		$role_id = $ci->session->userdata('role_id');
		//cek apakah akun operator
		if($role_id !=5 ){
			 redirect('Sekolah');
		}else if($akses['aksesOperator'] !=1){
			$ci->session->set_flashdata('message', '
          <div class="alert alert-danger" role="alert">
          Mohon Maaf Akses Operator Sekolah Sedang Di Tutup !!
		  <p>Panitia PPDB '.$akses['nama_sekolah'].' Tahun Pelajaran '.date('Y').'</p>
          </div>');
          redirect('auth');
		}
      // cek apakah akses di tutup atau tidak
      $menu = $ci->uri->segment(1);
      $queryMenu = $ci->db->get_where('user_menu', ['menu' => $menu])->row_array();
      $menu_id = $queryMenu['id'];
      $queryAcsesMenu = $ci->db->get_where('user_access_menu', ['role_id' => $role_id, 'menu_id' => $menu_id]);
      if ($queryAcsesMenu->num_rows() < 1) {
        redirect('Auth/blocked');
      }
    }
  }
  ?>